public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/emacs/
Date: Mon, 25 Nov 2024 20:05:14 +0000 (UTC)	[thread overview]
Message-ID: <1732565108.438582e97488bba94549b5a8d62a24af499def48.ulm@gentoo> (raw)

commit:     438582e97488bba94549b5a8d62a24af499def48
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 25 20:04:26 2024 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 25 20:05:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=438582e9

app-editors/emacs: Convert the myconf variable to an array

myconf had existed as a regular variable in src_compile/src_configure
since inception of the first app-editors/emacs ebuild in 2001.
Convert it to an array which allows to remove some redundancy.

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-editors/emacs/emacs-26.3-r21.ebuild     | 118 +++++++++++---------
 app-editors/emacs/emacs-27.2-r19.ebuild     | 132 +++++++++++-----------
 app-editors/emacs/emacs-28.2-r15.ebuild     | 138 ++++++++++++-----------
 app-editors/emacs/emacs-29.4-r1.ebuild      | 164 +++++++++++++++-------------
 app-editors/emacs/emacs-30.0.91.ebuild      | 164 +++++++++++++++-------------
 app-editors/emacs/emacs-30.0.92.ebuild      | 164 +++++++++++++++-------------
 app-editors/emacs/emacs-30.0.9999-r1.ebuild | 164 +++++++++++++++-------------
 app-editors/emacs/emacs-31.0.9999.ebuild    | 164 +++++++++++++++-------------
 8 files changed, 654 insertions(+), 554 deletions(-)

diff --git a/app-editors/emacs/emacs-26.3-r21.ebuild b/app-editors/emacs/emacs-26.3-r21.ebuild
index a0ed4c9895fa..082ee958b14b 100644
--- a/app-editors/emacs/emacs-26.3-r21.ebuild
+++ b/app-editors/emacs/emacs-26.3-r21.ebuild
@@ -125,45 +125,80 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		$(use_enable acl)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gpm)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with wide-int)
+		$(use_with zlib)
+	)
 
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-ns"
+		myconf+=(
+			--without-x --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x
+		)
 	else
-		myconf+=" --with-x --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with xpm)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			--with-x --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with xpm)
+			$(use_with imagemagick)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -183,53 +218,28 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		$(use_enable acl) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gpm) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with wide-int) \
-		$(use_with zlib) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-27.2-r19.ebuild b/app-editors/emacs/emacs-27.2-r19.ebuild
index 7b92be2c5fa7..9057ada871ab 100644
--- a/app-editors/emacs/emacs-27.2-r19.ebuild
+++ b/app-editors/emacs/emacs-27.2-r19.ebuild
@@ -166,46 +166,84 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with json)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with wide-int)
+		$(use_with zlib)
+	)
 
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-ns"
+		myconf+=(
+			--without-x --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x
+		)
 	else
-		myconf+=" --with-x --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with xpm)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			--with-x --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with xpm)
+			$(use_with imagemagick)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -225,24 +263,24 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
@@ -252,43 +290,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with json) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with wide-int) \
-		$(use_with zlib) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-28.2-r15.ebuild b/app-editors/emacs/emacs-28.2-r15.ebuild
index 55534cd81160..7b5d0c431e99 100644
--- a/app-editors/emacs/emacs-28.2-r15.ebuild
+++ b/app-editors/emacs/emacs-28.2-r15.ebuild
@@ -190,57 +190,95 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
-
 	# Prevents e.g. tests interfering with running Emacs.
 	unset EMACS_SOCKET_NAME
 
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with jit native-compilation)
+		$(use_with json)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with wide-int)
+	)
+
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if use jit; then
 		use zlib || ewarn \
 			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
+		myconf+=( --with-zlib )
 	else
-		myconf+=" $(use_with zlib)"
+		myconf+=( $(use_with zlib) )
 	fi
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-ns"
+		myconf+=(
+			--without-x --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x
+		)
 	else
-		myconf+=" --with-x --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with xpm)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			--with-x --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with xpm)
+			$(use_with imagemagick)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -260,24 +298,24 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
@@ -287,43 +325,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with jit native-compilation) \
-		$(use_with json) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with wide-int) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-29.4-r1.ebuild b/app-editors/emacs/emacs-29.4-r1.ebuild
index 2ff9989a9764..13447ae2ea93 100644
--- a/app-editors/emacs/emacs-29.4-r1.ebuild
+++ b/app-editors/emacs/emacs-29.4-r1.ebuild
@@ -222,25 +222,55 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
-
 	# Prevents e.g. tests interfering with running Emacs.
 	unset EMACS_SOCKET_NAME
 
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with jit native-compilation aot)
+		$(use_with json)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with sqlite sqlite3)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with tree-sitter)
+		$(use_with wide-int)
+	)
+
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if use jit; then
 		use zlib || ewarn \
 			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
+		myconf+=( --with-zlib )
 	else
-		myconf+=" $(use_with zlib)"
+		myconf+=( $(use_with zlib) )
 	fi
 
 	# Emacs supports these window systems:
@@ -256,39 +286,51 @@ src_configure() {
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-pgtk --without-ns"
+		myconf+=(
+			--without-x --without-pgtk --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x --without-pgtk"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x --without-pgtk
+		)
 	elif use gtk && ! use X; then
 		einfo "Configuring to build with pure GTK (without X11) support"
-		myconf+=" --with-pgtk --without-x --without-ns"
-		myconf+=" --with-toolkit-scroll-bars" #836392
-		myconf+=" --without-gconf"
-		myconf+=" --without-xwidgets"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with harfbuzz)"
-		myconf+=" $(use_with m17n-lib libotf)"
-		myconf+=" $(use_with m17n-lib m17n-flt)"
+		myconf+=(
+			--with-pgtk --without-x --without-ns
+			--with-toolkit-scroll-bars #836392
+			--without-gconf
+			--without-xwidgets
+			$(use_with gsettings)
+			$(use_with harfbuzz)
+			$(use_with m17n-lib libotf)
+			$(use_with m17n-lib m17n-flt)
+		)
 	else
 		# X11
-		myconf+=" --with-x --without-pgtk --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with xpm)"
+		myconf+=(
+			--with-x --without-pgtk --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with xpm)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -308,36 +350,38 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
 	if use gui; then
 		# Common flags recognised for all GUIs
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with webp)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with webp)
+			$(use_with imagemagick)
+		)
 	fi
 
 	if tc-is-cross-compiler; then
@@ -346,45 +390,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with jit native-compilation aot) \
-		$(use_with json) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with sqlite sqlite3) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with tree-sitter) \
-		$(use_with wide-int) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-30.0.91.ebuild b/app-editors/emacs/emacs-30.0.91.ebuild
index 7058569f30e2..0cd4d0582c91 100644
--- a/app-editors/emacs/emacs-30.0.91.ebuild
+++ b/app-editors/emacs/emacs-30.0.91.ebuild
@@ -219,25 +219,55 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
-
 	# Prevents e.g. tests interfering with running Emacs.
 	unset EMACS_SOCKET_NAME
 
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_enable xattr)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with jit native-compilation aot)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with sqlite sqlite3)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with tree-sitter)
+		$(use_with wide-int)
+	)
+
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if use jit; then
 		use zlib || ewarn \
 			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
+		myconf+=( --with-zlib )
 	else
-		myconf+=" $(use_with zlib)"
+		myconf+=( $(use_with zlib) )
 	fi
 
 	# Emacs supports these window systems:
@@ -253,39 +283,51 @@ src_configure() {
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-pgtk --without-ns"
+		myconf+=(
+			--without-x --without-pgtk --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x --without-pgtk"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x --without-pgtk
+		)
 	elif use gtk && ! use X; then
 		einfo "Configuring to build with pure GTK (without X11) support"
-		myconf+=" --with-pgtk --without-x --without-ns"
-		myconf+=" --with-toolkit-scroll-bars" #836392
-		myconf+=" --without-gconf"
-		myconf+=" --without-xwidgets"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with harfbuzz)"
-		myconf+=" $(use_with m17n-lib libotf)"
-		myconf+=" $(use_with m17n-lib m17n-flt)"
+		myconf+=(
+			--with-pgtk --without-x --without-ns
+			--with-toolkit-scroll-bars #836392
+			--without-gconf
+			--without-xwidgets
+			$(use_with gsettings)
+			$(use_with harfbuzz)
+			$(use_with m17n-lib libotf)
+			$(use_with m17n-lib m17n-flt)
+		)
 	else
 		# X11
-		myconf+=" --with-x --without-pgtk --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with xpm)"
+		myconf+=(
+			--with-x --without-pgtk --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with xpm)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -305,36 +347,38 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
 	if use gui; then
 		# Common flags recognised for all GUIs
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with webp)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with webp)
+			$(use_with imagemagick)
+		)
 	fi
 
 	if tc-is-cross-compiler; then
@@ -343,45 +387,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_enable xattr) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with jit native-compilation aot) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with sqlite sqlite3) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with tree-sitter) \
-		$(use_with wide-int) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-30.0.92.ebuild b/app-editors/emacs/emacs-30.0.92.ebuild
index 7058569f30e2..0cd4d0582c91 100644
--- a/app-editors/emacs/emacs-30.0.92.ebuild
+++ b/app-editors/emacs/emacs-30.0.92.ebuild
@@ -219,25 +219,55 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
-
 	# Prevents e.g. tests interfering with running Emacs.
 	unset EMACS_SOCKET_NAME
 
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_enable xattr)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with jit native-compilation aot)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with sqlite sqlite3)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with tree-sitter)
+		$(use_with wide-int)
+	)
+
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if use jit; then
 		use zlib || ewarn \
 			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
+		myconf+=( --with-zlib )
 	else
-		myconf+=" $(use_with zlib)"
+		myconf+=( $(use_with zlib) )
 	fi
 
 	# Emacs supports these window systems:
@@ -253,39 +283,51 @@ src_configure() {
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-pgtk --without-ns"
+		myconf+=(
+			--without-x --without-pgtk --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x --without-pgtk"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x --without-pgtk
+		)
 	elif use gtk && ! use X; then
 		einfo "Configuring to build with pure GTK (without X11) support"
-		myconf+=" --with-pgtk --without-x --without-ns"
-		myconf+=" --with-toolkit-scroll-bars" #836392
-		myconf+=" --without-gconf"
-		myconf+=" --without-xwidgets"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with harfbuzz)"
-		myconf+=" $(use_with m17n-lib libotf)"
-		myconf+=" $(use_with m17n-lib m17n-flt)"
+		myconf+=(
+			--with-pgtk --without-x --without-ns
+			--with-toolkit-scroll-bars #836392
+			--without-gconf
+			--without-xwidgets
+			$(use_with gsettings)
+			$(use_with harfbuzz)
+			$(use_with m17n-lib libotf)
+			$(use_with m17n-lib m17n-flt)
+		)
 	else
 		# X11
-		myconf+=" --with-x --without-pgtk --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with xpm)"
+		myconf+=(
+			--with-x --without-pgtk --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with xpm)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -305,36 +347,38 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
 	if use gui; then
 		# Common flags recognised for all GUIs
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with webp)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with webp)
+			$(use_with imagemagick)
+		)
 	fi
 
 	if tc-is-cross-compiler; then
@@ -343,45 +387,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_enable xattr) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with jit native-compilation aot) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with sqlite sqlite3) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with tree-sitter) \
-		$(use_with wide-int) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-30.0.9999-r1.ebuild b/app-editors/emacs/emacs-30.0.9999-r1.ebuild
index 7058569f30e2..0cd4d0582c91 100644
--- a/app-editors/emacs/emacs-30.0.9999-r1.ebuild
+++ b/app-editors/emacs/emacs-30.0.9999-r1.ebuild
@@ -219,25 +219,55 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
-
 	# Prevents e.g. tests interfering with running Emacs.
 	unset EMACS_SOCKET_NAME
 
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_enable xattr)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with jit native-compilation aot)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with sqlite sqlite3)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with tree-sitter)
+		$(use_with wide-int)
+	)
+
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if use jit; then
 		use zlib || ewarn \
 			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
+		myconf+=( --with-zlib )
 	else
-		myconf+=" $(use_with zlib)"
+		myconf+=( $(use_with zlib) )
 	fi
 
 	# Emacs supports these window systems:
@@ -253,39 +283,51 @@ src_configure() {
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-pgtk --without-ns"
+		myconf+=(
+			--without-x --without-pgtk --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x --without-pgtk"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x --without-pgtk
+		)
 	elif use gtk && ! use X; then
 		einfo "Configuring to build with pure GTK (without X11) support"
-		myconf+=" --with-pgtk --without-x --without-ns"
-		myconf+=" --with-toolkit-scroll-bars" #836392
-		myconf+=" --without-gconf"
-		myconf+=" --without-xwidgets"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with harfbuzz)"
-		myconf+=" $(use_with m17n-lib libotf)"
-		myconf+=" $(use_with m17n-lib m17n-flt)"
+		myconf+=(
+			--with-pgtk --without-x --without-ns
+			--with-toolkit-scroll-bars #836392
+			--without-gconf
+			--without-xwidgets
+			$(use_with gsettings)
+			$(use_with harfbuzz)
+			$(use_with m17n-lib libotf)
+			$(use_with m17n-lib m17n-flt)
+		)
 	else
 		# X11
-		myconf+=" --with-x --without-pgtk --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with xpm)"
+		myconf+=(
+			--with-x --without-pgtk --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with xpm)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -305,36 +347,38 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
 	if use gui; then
 		# Common flags recognised for all GUIs
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with webp)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with webp)
+			$(use_with imagemagick)
+		)
 	fi
 
 	if tc-is-cross-compiler; then
@@ -343,45 +387,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_enable xattr) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with jit native-compilation aot) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with sqlite sqlite3) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with tree-sitter) \
-		$(use_with wide-int) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {

diff --git a/app-editors/emacs/emacs-31.0.9999.ebuild b/app-editors/emacs/emacs-31.0.9999.ebuild
index 22cbd35f4139..d1f3581d8ccd 100644
--- a/app-editors/emacs/emacs-31.0.9999.ebuild
+++ b/app-editors/emacs/emacs-31.0.9999.ebuild
@@ -219,25 +219,55 @@ src_configure() {
 	replace-flags -Ofast -O2
 	append-flags -fno-fast-math -ffp-contract=off
 
-	local myconf
-
 	# Prevents e.g. tests interfering with running Emacs.
 	unset EMACS_SOCKET_NAME
 
+	local myconf=(
+		--program-suffix="-${EMACS_SUFFIX}"
+		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX}
+		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX}
+		--localstatedir="${EPREFIX}"/var
+		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}"
+		--without-compress-install
+		--without-hesiod
+		--without-pop
+		--with-file-notification=$(usev inotify || usev gfile || echo no)
+		--with-pdumper
+		$(use_enable acl)
+		$(use_enable xattr)
+		$(use_with dbus)
+		$(use_with dynamic-loading modules)
+		$(use_with games gameuser ":gamestat")
+		$(use_with gmp libgmp)
+		$(use_with gpm)
+		$(use_with jit native-compilation aot)
+		$(use_with kerberos) $(use_with kerberos kerberos5)
+		$(use_with lcms lcms2)
+		$(use_with libxml2 xml2)
+		$(use_with mailutils)
+		$(use_with selinux)
+		$(use_with sqlite sqlite3)
+		$(use_with ssl gnutls)
+		$(use_with systemd libsystemd)
+		$(use_with threads)
+		$(use_with tree-sitter)
+		$(use_with wide-int)
+	)
+
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
-		myconf+=" --with-sound=alsa"
+		myconf+=( --with-sound=alsa )
 	else
-		myconf+=" --with-sound=$(usex sound oss)"
+		myconf+=( --with-sound=$(usex sound oss no) )
 	fi
 
 	if use jit; then
 		use zlib || ewarn \
 			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
+		myconf+=( --with-zlib )
 	else
-		myconf+=" $(use_with zlib)"
+		myconf+=( $(use_with zlib) )
 	fi
 
 	# Emacs supports these window systems:
@@ -253,39 +283,51 @@ src_configure() {
 
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
-		myconf+=" --without-x --without-pgtk --without-ns"
+		myconf+=(
+			--without-x --without-pgtk --without-ns
+		)
 	elif use aqua; then
 		einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
-		myconf+=" --with-ns --disable-ns-self-contained"
-		myconf+=" --without-x --without-pgtk"
+		myconf+=(
+			--with-ns --disable-ns-self-contained
+			--without-x --without-pgtk
+		)
 	elif use gtk && ! use X; then
 		einfo "Configuring to build with pure GTK (without X11) support"
-		myconf+=" --with-pgtk --without-x --without-ns"
-		myconf+=" --with-toolkit-scroll-bars" #836392
-		myconf+=" --without-gconf"
-		myconf+=" --without-xwidgets"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with harfbuzz)"
-		myconf+=" $(use_with m17n-lib libotf)"
-		myconf+=" $(use_with m17n-lib m17n-flt)"
+		myconf+=(
+			--with-pgtk --without-x --without-ns
+			--with-toolkit-scroll-bars #836392
+			--without-gconf
+			--without-xwidgets
+			$(use_with gsettings)
+			$(use_with harfbuzz)
+			$(use_with m17n-lib libotf)
+			$(use_with m17n-lib m17n-flt)
+		)
 	else
 		# X11
-		myconf+=" --with-x --without-pgtk --without-ns"
-		myconf+=" --without-gconf"
-		myconf+=" $(use_with gsettings)"
-		myconf+=" $(use_with toolkit-scroll-bars)"
-		myconf+=" $(use_with xpm)"
+		myconf+=(
+			--with-x --without-pgtk --without-ns
+			--without-gconf
+			$(use_with gsettings)
+			$(use_with toolkit-scroll-bars)
+			$(use_with xpm)
+		)
 
 		if use xft; then
-			myconf+=" --with-xft"
-			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
-			myconf+=" $(use_with m17n-lib libotf)"
-			myconf+=" $(use_with m17n-lib m17n-flt)"
+			myconf+=(
+				--with-xft
+				$(use_with cairo)
+				$(use_with harfbuzz)
+				$(use_with m17n-lib libotf)
+				$(use_with m17n-lib m17n-flt)
+			)
 		else
-			myconf+=" --without-xft"
-			myconf+=" --without-cairo"
-			myconf+=" --without-libotf --without-m17n-flt"
+			myconf+=(
+				--without-xft
+				--without-cairo
+				--without-libotf --without-m17n-flt
+			)
 			use cairo && ewarn \
 				"USE flag \"cairo\" has no effect if \"xft\" is not set."
 			use m17n-lib && ewarn \
@@ -305,36 +347,38 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 --without-xwidgets"
+			myconf+=( --with-x-toolkit=gtk3 --without-xwidgets )
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
 			done
 		elif use motif; then
 			einfo "Configuring to build with Motif toolkit"
-			myconf+=" --with-x-toolkit=motif"
+			myconf+=( --with-x-toolkit=motif )
 			for f in Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"motif\" is set."
 			done
 		elif use athena || use Xaw3d; then
 			einfo "Configuring to build with Athena/Lucid toolkit"
-			myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+			myconf+=( --with-x-toolkit=lucid $(use_with Xaw3d xaw3d) )
 		else
 			einfo "Configuring to build with no toolkit"
-			myconf+=" --with-x-toolkit=no"
+			myconf+=( --with-x-toolkit=no )
 		fi
 	fi
 
 	if use gui; then
 		# Common flags recognised for all GUIs
-		myconf+=" $(use_with gif)"
-		myconf+=" $(use_with jpeg)"
-		myconf+=" $(use_with png)"
-		myconf+=" $(use_with svg rsvg)"
-		myconf+=" $(use_with tiff)"
-		myconf+=" $(use_with webp)"
-		myconf+=" $(use_with imagemagick)"
+		myconf+=(
+			$(use_with gif)
+			$(use_with jpeg)
+			$(use_with png)
+			$(use_with svg rsvg)
+			$(use_with tiff)
+			$(use_with webp)
+			$(use_with imagemagick)
+		)
 	fi
 
 	if tc-is-cross-compiler; then
@@ -343,45 +387,15 @@ src_configure() {
 		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
 		popd >/dev/null || die
 		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
+		myconf+=( --with-dumping=none )
 	elif use m68k; then
 		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
+		myconf+=( --with-dumping=unexec )
 	else
-		myconf+=" --with-dumping=pdumper"
+		myconf+=( --with-dumping=pdumper )
 	fi
 
-	econf \
-		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
-		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
-		--localstatedir="${EPREFIX}"/var \
-		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
-		--without-compress-install \
-		--without-hesiod \
-		--without-pop \
-		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
-		$(use_enable acl) \
-		$(use_enable xattr) \
-		$(use_with dbus) \
-		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
-		$(use_with gpm) \
-		$(use_with jit native-compilation aot) \
-		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
-		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
-		$(use_with selinux) \
-		$(use_with sqlite sqlite3) \
-		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
-		$(use_with tree-sitter) \
-		$(use_with wide-int) \
-		${myconf}
+	econf "${myconf[@]}"
 }
 
 src_compile() {


             reply	other threads:[~2024-11-25 20:05 UTC|newest]

Thread overview: 768+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-25 20:05 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-05  5:25 [gentoo-commits] repo/gentoo:master commit in: app-editors/emacs/ Ulrich Müller
2025-04-23 17:19 Ulrich Müller
2025-04-15 17:24 Ulrich Müller
2025-04-15 10:09 Ulrich Müller
2025-04-13 18:29 Sam James
2025-04-13 12:35 Ulrich Müller
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-12 18:55 Arthur Zamarin
2025-04-12 11:19 Sam James
2025-04-12 11:19 Sam James
2025-04-12 11:19 Sam James
2025-04-12 11:19 Sam James
2025-04-12 10:43 Ulrich Müller
2025-04-12 10:43 Ulrich Müller
2025-03-31  6:06 Ulrich Müller
2025-03-23 12:51 Arthur Zamarin
2025-03-23 12:51 Arthur Zamarin
2025-03-23 12:51 Arthur Zamarin
2025-03-23 12:51 Arthur Zamarin
2025-03-23  7:33 Ulrich Müller
2025-03-18 16:10 Ulrich Müller
2025-03-14  7:15 Ulrich Müller
2025-03-10 11:55 Ulrich Müller
2025-03-02 15:25 Ulrich Müller
2025-02-27  8:52 Arthur Zamarin
2025-02-27  8:52 Arthur Zamarin
2025-02-27  8:52 Arthur Zamarin
2025-02-27  8:52 Arthur Zamarin
2025-02-27  6:31 Sam James
2025-02-27  6:31 Sam James
2025-02-27  6:31 Sam James
2025-02-27  6:31 Sam James
2025-02-26  6:59 Ulrich Müller
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 18:58 Ulrich Müller
2025-02-25 18:58 Ulrich Müller
2025-02-24  6:05 Ulrich Müller
2025-02-24  6:05 Ulrich Müller
2025-02-21 18:29 Ulrich Müller
2025-02-21 18:29 Ulrich Müller
2025-02-20  7:22 Ulrich Müller
2025-02-20  7:22 Ulrich Müller
2025-02-20  7:22 Ulrich Müller
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-08  1:08 Jakov Smolić
2025-02-08  1:08 Jakov Smolić
2025-02-08  1:08 Jakov Smolić
2025-02-08  1:08 Jakov Smolić
2025-01-20  9:11 Ulrich Müller
2025-01-10  4:12 WANG Xuerui
2025-01-08 19:27 Ulrich Müller
2025-01-08 15:35 Ulrich Müller
2025-01-07 20:54 Ulrich Müller
2025-01-05 21:18 Ulrich Müller
2024-12-28 19:45 Ulrich Müller
2024-12-27 18:40 Ulrich Müller
2024-12-20  9:30 Ulrich Müller
2024-12-09 18:49 Ulrich Müller
2024-12-09 11:36 Ulrich Müller
2024-11-20 13:06 Ulrich Müller
2024-11-20 13:06 Ulrich Müller
2024-11-20 11:43 Ulrich Müller
2024-11-11 21:54 Ulrich Müller
2024-10-31  6:06 Ulrich Müller
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-26 18:36 Ulrich Müller
2024-10-24  9:37 Ulrich Müller
2024-10-22 15:59 Ulrich Müller
2024-10-22 15:59 Ulrich Müller
2024-09-27  7:16 Ulrich Müller
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-09-12 19:12 Ulrich Müller
2024-09-12  9:01 Ulrich Müller
2024-09-04 20:08 Ulrich Müller
2024-08-16 13:58 Sam James
2024-08-16 10:28 Arthur Zamarin
2024-08-16 10:28 Arthur Zamarin
2024-08-16 10:28 Arthur Zamarin
2024-08-16 10:28 Arthur Zamarin
2024-07-24 19:12 Sam James
2024-07-24 19:12 Sam James
2024-07-24 18:56 Arthur Zamarin
2024-06-30 18:26 Michał Górny
2024-06-30 18:26 Michał Górny
2024-06-24 15:25 Ulrich Müller
2024-06-23 11:53 Ulrich Müller
2024-06-23 11:18 Ulrich Müller
2024-06-23 10:14 Ulrich Müller
2024-06-23 10:14 Ulrich Müller
2024-06-23  4:38 Sam James
2024-06-23  4:38 Sam James
2024-06-23  4:38 Sam James
2024-06-23  4:38 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 19:11 Ulrich Müller
2024-06-22 19:11 Ulrich Müller
2024-06-22 19:11 Ulrich Müller
2024-06-06 17:21 Ulrich Müller
2024-06-04 18:53 Ulrich Müller
2024-06-04 18:31 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-06-03 21:53 Ulrich Müller
2024-06-03  7:39 Ulrich Müller
2024-05-20 19:02 Ulrich Müller
2024-05-20 18:30 Sam James
2024-05-20 18:30 Sam James
2024-05-20 18:30 Sam James
2024-05-20 18:30 Sam James
2024-04-28 16:22 Arthur Zamarin
2024-04-28 16:22 Arthur Zamarin
2024-04-28 16:22 Arthur Zamarin
2024-04-28 16:22 Arthur Zamarin
2024-04-28  7:28 Ulrich Müller
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 19:10 Ulrich Müller
2024-04-27  5:11 Ulrich Müller
2024-04-23 20:10 Ulrich Müller
2024-04-15  7:25 Matthew Smith
2024-04-13  6:39 Ulrich Müller
2024-04-01 19:11 Ulrich Müller
2024-04-01  5:55 Ulrich Müller
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-25 18:50 Sam James
2024-03-25 18:50 Sam James
2024-03-25 18:50 Sam James
2024-03-25 15:00 Ulrich Müller
2024-03-25  8:54 Sam James
2024-03-25  8:54 Sam James
2024-03-24 18:33 Sam James
2024-03-24 18:33 Sam James
2024-03-24 18:17 Sam James
2024-03-24 18:17 Sam James
2024-03-24 18:17 Sam James
2024-03-24 18:00 Ulrich Müller
2024-03-24 17:50 Ulrich Müller
2024-03-24 16:43 Ulrich Müller
2024-03-24 16:43 Ulrich Müller
2024-03-06  8:11 Ulrich Müller
2024-02-25  9:56 Ulrich Müller
2024-02-25  8:42 Ulrich Müller
2024-02-25  7:14 Ulrich Müller
2024-02-25  7:14 Ulrich Müller
2024-02-24 16:59 Ulrich Müller
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-20 15:34 Ulrich Müller
2024-02-16 19:16 Ulrich Müller
2024-01-30 18:31 Ulrich Müller
2024-01-30 18:31 Ulrich Müller
2024-01-29  9:17 Ulrich Müller
2024-01-20 11:11 Matthew Smith
2024-01-19 11:02 Ulrich Müller
2024-01-19 11:02 Ulrich Müller
2024-01-19 11:02 Ulrich Müller
2023-12-27  1:36 Ionen Wolkens
2023-12-25 19:17 Arthur Zamarin
2023-12-25 17:29 Sam James
2023-12-25 17:21 Sam James
2023-12-25 17:21 Sam James
2023-12-25 17:21 Sam James
2023-12-22  9:35 Ulrich Müller
2023-12-21 19:46 Ulrich Müller
2023-12-21 11:28 Ulrich Müller
2023-12-21  0:07 Ionen Wolkens
2023-12-20 21:50 Ulrich Müller
2023-12-20 17:57 Ulrich Müller
2023-12-20 10:00 Ulrich Müller
2023-12-20  9:22 Ulrich Müller
2023-11-25 12:26 Arthur Zamarin
2023-11-25 12:02 Ulrich Müller
2023-11-25 11:44 Ulrich Müller
2023-11-19 17:28 James Le Cuirot
2023-11-09 10:51 Ulrich Müller
2023-11-09 10:51 Ulrich Müller
2023-11-02  9:31 Sam James
2023-11-02  9:31 Sam James
2023-11-02  4:12 Sam James
2023-10-24 16:38 Ulrich Müller
2023-10-24  6:11 Ulrich Müller
2023-10-19 13:56 Ulrich Müller
2023-09-24 18:20 Ulrich Müller
2023-09-24 15:07 Ulrich Müller
2023-09-24 11:40 Ulrich Müller
2023-09-20 18:42 Ulrich Müller
2023-09-20 16:17 Ulrich Müller
2023-09-20 12:51 Ulrich Müller
2023-09-20 12:51 Ulrich Müller
2023-09-19  9:26 Sam James
2023-09-19  8:28 Sam James
2023-09-19  8:15 Sam James
2023-09-19  8:02 Sam James
2023-09-19  7:43 Sam James
2023-08-29 23:34 Sam James
2023-08-29 20:18 Sam James
2023-08-29 20:18 Sam James
2023-08-07 13:43 Ulrich Müller
2023-08-06 13:07 Ulrich Müller
2023-08-01 11:27 Ulrich Müller
2023-07-30  8:05 Ulrich Müller
2023-07-30  8:05 Ulrich Müller
2023-07-26  6:21 Ulrich Müller
2023-07-24 16:10 Ulrich Müller
2023-07-24 16:10 Ulrich Müller
2023-07-23  9:35 Ulrich Müller
2023-07-23  9:35 Ulrich Müller
2023-07-19  5:52 Ulrich Müller
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-14  8:16 Ulrich Müller
2023-06-19 16:21 Ulrich Müller
2023-06-13 16:19 Ulrich Müller
2023-06-13 16:18 Ulrich Müller
2023-06-11  6:34 Ulrich Müller
2023-06-10 12:07 Ulrich Müller
2023-06-04 19:32 Ulrich Müller
2023-06-04 17:14 Ulrich Müller
2023-05-17  9:54 Ulrich Müller
2023-05-17  9:54 Ulrich Müller
2023-05-14 17:42 Ulrich Müller
2023-05-14 17:11 Sam James
2023-05-14  9:31 Ulrich Müller
2023-05-14  8:15 Ulrich Müller
2023-05-06 10:02 Ulrich Müller
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-04-10  8:12 Ulrich Müller
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-03-29  7:45 Ulrich Müller
2023-03-28 13:01 Ulrich Müller
2023-03-05 11:00 Ulrich Müller
2023-03-05 10:11 Ulrich Müller
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-02-28 19:52 Ulrich Müller
2023-02-26 20:26 Ulrich Müller
2023-02-19 16:58 Ulrich Müller
2023-02-19 15:36 Ulrich Müller
2023-02-18 15:43 Ulrich Müller
2023-02-13  7:49 Ulrich Müller
2023-02-12 12:47 Ulrich Müller
2023-02-12 12:33 Ulrich Müller
2023-02-12 11:00 Ulrich Müller
2023-02-12 11:00 Ulrich Müller
2023-01-15 11:46 Ulrich Müller
2023-01-15 11:40 Ulrich Müller
2023-01-15 11:35 Ulrich Müller
2022-12-31 18:32 Jakov Smolić
2022-12-16  4:30 Sam James
2022-12-03 18:31 Ulrich Müller
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-11-30 19:54 Ulrich Müller
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 12:55 Ulrich Müller
2022-11-30 11:59 Ulrich Müller
2022-11-30  0:52 Sam James
2022-11-29 12:31 Ulrich Müller
2022-11-29 12:31 Ulrich Müller
2022-11-23 16:54 Ulrich Müller
2022-10-05 15:18 Ulrich Müller
2022-10-03 12:16 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-08-26  7:46 Sam James
2022-08-20 18:18 Ulrich Müller
2022-08-20  7:03 Arthur Zamarin
2022-08-20  4:31 Sam James
2022-08-20  4:30 Sam James
2022-08-20  4:30 Sam James
2022-08-19 19:32 Arthur Zamarin
2022-08-19 18:31 Arthur Zamarin
2022-08-19 18:28 Arthur Zamarin
2022-08-19 17:58 Ulrich Müller
2022-08-19 17:46 Arthur Zamarin
2022-08-10  7:49 Sam James
2022-08-02 18:11 Ulrich Müller
2022-07-15 16:25 Ulrich Müller
2022-07-14 10:14 Ulrich Müller
2022-07-14  8:45 Ulrich Müller
2022-07-05 12:02 Ulrich Müller
2022-07-05 12:02 Ulrich Müller
2022-06-30 14:36 Ulrich Müller
2022-06-27 10:37 Ulrich Müller
2022-06-26 10:34 Ulrich Müller
2022-06-07  6:44 Ulrich Müller
2022-05-19  7:47 Agostino Sarubbo
2022-05-16 19:41 Arthur Zamarin
2022-05-16 19:38 Arthur Zamarin
2022-05-15  8:14 Jakov Smolić
2022-05-14 22:16 Jakov Smolić
2022-05-14 21:49 Jakov Smolić
2022-05-14 21:49 Jakov Smolić
2022-05-07  6:13 Ulrich Müller
2022-05-07  6:13 Ulrich Müller
2022-05-06 21:32 Ulrich Müller
2022-05-06 20:03 Arthur Zamarin
2022-05-03 18:48 Arthur Zamarin
2022-04-30 19:09 Sam James
2022-04-30 19:09 Sam James
2022-04-30 19:09 Sam James
2022-04-30 19:09 Sam James
2022-04-20 12:25 Ulrich Müller
2022-04-11  6:44 Ulrich Müller
2022-04-04 12:44 Ulrich Müller
2022-04-04 12:44 Ulrich Müller
2022-04-04 12:44 Ulrich Müller
2022-03-31 11:38 Ulrich Müller
2022-03-31 11:38 Ulrich Müller
2022-03-31 11:38 Ulrich Müller
2022-03-30  7:18 Ulrich Müller
2022-03-26 21:35 Ulrich Müller
2022-03-13 18:22 Ulrich Müller
2022-02-13 23:01 Ulrich Müller
2022-01-15 17:58 Ulrich Müller
2022-01-15 17:46 Ulrich Müller
2022-01-15 17:46 Ulrich Müller
2022-01-15 13:42 Ulrich Müller
2022-01-15 13:03 Ulrich Müller
2022-01-15 13:00 Ulrich Müller
2022-01-15 13:00 Ulrich Müller
2022-01-01 10:51 James Le Cuirot
2021-10-01 16:54 Ulrich Müller
2021-09-25 19:08 Sam James
2021-08-26 16:24 Ulrich Müller
2021-08-26 14:52 Sam James
2021-08-26 14:52 Sam James
2021-08-26 14:52 Sam James
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-08-23 22:16 Agostino Sarubbo
2021-08-23 10:48 Agostino Sarubbo
2021-08-23 10:47 Agostino Sarubbo
2021-08-23 10:46 Agostino Sarubbo
2021-08-23  5:35 Sam James
2021-08-23  5:35 Sam James
2021-08-23  5:35 Sam James
2021-07-24 19:37 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-12 14:52 Ulrich Müller
2021-07-12 11:49 Ulrich Müller
2021-07-11 18:49 Ulrich Müller
2021-07-11 18:45 Ulrich Müller
2021-07-04  7:29 Ulrich Müller
2021-06-16 10:40 Ulrich Müller
2021-06-07  6:25 Sergei Trofimovich
2021-06-03 16:26 Sam James
2021-06-03  8:23 Sam James
2021-06-02 16:44 Sam James
2021-06-01  6:57 Agostino Sarubbo
2021-06-01  6:36 Agostino Sarubbo
2021-05-31  7:58 Sam James
2021-05-31  5:41 Ulrich Müller
2021-05-30 23:13 Georgy Yakovlev
2021-05-26  8:14 Ulrich Müller
2021-05-17  4:57 Ulrich Müller
2021-05-16  7:30 Ulrich Müller
2021-05-16  7:30 Ulrich Müller
2021-04-11 11:59 Ulrich Müller
2021-03-26 17:49 Ulrich Müller
2021-03-26 17:49 Ulrich Müller
2021-03-26 17:49 Ulrich Müller
2021-03-18 16:38 Ulrich Müller
2021-02-15  9:30 Ulrich Müller
2021-02-13 10:36 Ulrich Müller
2021-02-13 10:36 Ulrich Müller
2021-02-13 10:36 Ulrich Müller
2021-02-12 15:22 Ulrich Müller
2021-02-08  9:52 Ulrich Müller
2021-02-06 23:00 Ulrich Müller
2021-02-06 23:00 Ulrich Müller
2021-02-05 21:34 Ulrich Müller
2021-02-05 12:29 Sam James
2021-02-02 23:46 Sam James
2021-02-01  4:44 Sam James
2021-01-30 18:39 Sam James
2021-01-29 14:08 Ulrich Müller
2021-01-28 19:03 Sam James
2021-01-27 14:49 Sam James
2021-01-27  9:29 Sam James
2021-01-06 13:03 Fabian Groffen
2020-11-28 12:19 Ulrich Müller
2020-11-28 12:19 Ulrich Müller
2020-11-24 18:26 Ulrich Müller
2020-11-24 18:26 Ulrich Müller
2020-11-24 16:06 Ulrich Müller
2020-11-24 11:03 Ulrich Müller
2020-11-24 11:03 Ulrich Müller
2020-11-09  9:35 Ulrich Müller
2020-09-18  8:26 Agostino Sarubbo
2020-09-13 18:36 Sam James
2020-09-13  8:30 Sergei Trofimovich
2020-09-12 17:04 Sam James
2020-09-12  6:28 Sam James
2020-09-12  2:07 Sam James
2020-08-29 14:24 Ulrich Müller
2020-08-29 11:44 Ulrich Müller
2020-08-22 14:31 Ulrich Müller
2020-08-12 10:55 Ulrich Müller
2020-08-11 19:00 Ulrich Müller
2020-08-11 16:09 Ulrich Müller
2020-08-11 16:09 Ulrich Müller
2020-08-11 16:09 Ulrich Müller
2020-08-06  8:47 Ulrich Müller
2020-08-05 13:18 Ulrich Müller
2020-08-01 18:09 Ulrich Müller
2020-08-01 18:09 Ulrich Müller
2020-05-12  8:45 Ulrich Müller
2020-05-02  9:25 Ulrich Müller
2020-04-07  9:41 Ulrich Müller
2020-04-04 11:07 Sergei Trofimovich
2020-03-03 14:17 Ulrich Müller
2020-03-02 23:41 Ulrich Müller
2020-03-02 11:49 Sergei Trofimovich
2020-02-22 17:08 Ulrich Müller
2020-02-17 16:33 Ulrich Müller
2020-02-07 18:18 Ulrich Müller
2020-01-06 12:38 Ulrich Müller
2020-01-06 11:23 Ulrich Müller
2019-12-23 19:46 Ulrich Müller
2019-12-23 19:39 Ulrich Müller
2019-12-23 19:39 Ulrich Müller
2019-12-21  9:54 Ulrich Müller
2019-12-21  9:54 Ulrich Müller
2019-12-18 10:06 Ulrich Müller
2019-12-18 10:06 Ulrich Müller
2019-12-07  7:58 Ulrich Müller
2019-11-27 13:15 Mikle Kolyada
2019-11-23 22:25 Ulrich Müller
2019-11-23 16:49 Agostino Sarubbo
2019-11-23 15:51 Agostino Sarubbo
2019-11-23 15:46 Agostino Sarubbo
2019-11-23 15:40 Agostino Sarubbo
2019-11-23  5:42 Aaron Bauman
2019-11-22 11:10 Ulrich Müller
2019-11-22 11:10 Ulrich Müller
2019-11-22 10:24 Agostino Sarubbo
2019-09-25 12:18 Ulrich Müller
2019-09-22 16:16 Ulrich Müller
2019-08-29 13:49 Ulrich Müller
2019-08-29 11:24 Ulrich Müller
2019-08-29 11:24 Ulrich Müller
2019-08-23 17:27 Ulrich Müller
2019-08-23 16:52 Matt Turner
2019-08-23 10:32 Ulrich Müller
2019-07-28 19:56 Mikle Kolyada
2019-07-26 13:18 Aaron Bauman
2019-07-01  7:55 Sergei Trofimovich
2019-06-28 11:42 Agostino Sarubbo
2019-06-27  7:31 Sergei Trofimovich
2019-06-27  7:26 Sergei Trofimovich
2019-06-27  7:23 Sergei Trofimovich
2019-06-26  6:50 Agostino Sarubbo
2019-06-25 20:05 Sergei Trofimovich
2019-06-25  8:34 Agostino Sarubbo
2019-06-25  7:46 Ulrich Müller
2019-06-06 21:24 Ulrich Müller
2019-04-12 17:30 Ulrich Müller
2019-04-12 17:30 Ulrich Müller
2019-04-02  8:21 Ulrich Müller
2019-03-29  8:08 Ulrich Müller
2019-03-22  9:48 Ulrich Müller
2018-12-27  7:52 Sergei Trofimovich
2018-12-27  7:52 Sergei Trofimovich
2018-11-17 15:01 Mikle Kolyada
2018-11-17 15:01 Mikle Kolyada
2018-11-17 15:01 Mikle Kolyada
2018-11-08 23:35 Sergei Trofimovich
2018-11-08 23:35 Sergei Trofimovich
2018-11-08 23:35 Sergei Trofimovich
2018-10-12  8:58 Tobias Klausmann
2018-10-12  7:33 Tobias Klausmann
2018-10-12  7:32 Tobias Klausmann
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-09-30 21:38 Sergei Trofimovich
2018-09-30 21:38 Sergei Trofimovich
2018-09-30 21:38 Sergei Trofimovich
2018-09-28  9:05 Mikle Kolyada
2018-09-28  9:05 Mikle Kolyada
2018-09-28  9:05 Mikle Kolyada
2018-09-13 19:23 Tobias Klausmann
2018-09-02 11:16 Ulrich Müller
2018-09-02  6:40 Ulrich Müller
2018-08-30 18:40 Ulrich Müller
2018-08-30 18:40 Ulrich Müller
2018-08-30  4:44 Markus Meier
2018-08-24  5:26 Ulrich Müller
2018-08-23 17:08 Ulrich Müller
2018-08-23 17:08 Ulrich Müller
2018-08-14 19:15 Sergei Trofimovich
2018-08-11 18:55 Sergei Trofimovich
2018-08-10 14:34 Mikle Kolyada
2018-08-05  8:09 Ulrich Müller
2018-08-05  1:03 Thomas Deutschmann
2018-08-03 22:51 Mikle Kolyada
2018-07-22  0:32 Mikle Kolyada
2018-07-08 17:51 Ulrich Müller
2018-07-07 19:21 Ulrich Müller
2018-07-01 13:22 Ulrich Müller
2018-06-01 18:21 Ulrich Müller
2018-05-28 17:27 Ulrich Müller
2018-05-27 15:12 Mikle Kolyada
2018-04-26  7:11 Ulrich Müller
2018-04-26  5:33 Matt Turner
2018-04-24  6:58 Ulrich Müller
2018-04-17  7:40 Ulrich Müller
2018-04-15 21:18 Sergei Trofimovich
2018-04-15 17:10 Ulrich Müller
2018-04-15 16:36 Mikle Kolyada
2018-04-09 22:24 Ulrich Müller
2018-03-21 19:43 Sergei Trofimovich
2018-03-21  1:41 Matt Turner
2018-03-21  0:21 Ulrich Müller
2018-03-20 21:26 Ulrich Müller
2018-03-19 18:01 Ulrich Müller
2018-03-19 18:01 Ulrich Müller
2018-03-18 16:55 Ulrich Müller
2018-03-17 17:46 Matt Turner
2018-03-11 12:07 Ulrich Müller
2018-03-11  9:39 Mikle Kolyada
2018-03-11  2:16 Thomas Deutschmann
2018-03-08 23:03 Sergei Trofimovich
2018-03-01  9:58 Ulrich Müller
2018-02-22  8:07 Ulrich Müller
2018-02-20  7:48 Ulrich Müller
2018-02-19 22:27 Ulrich Müller
2018-02-19  9:42 Ulrich Müller
2018-02-19  9:42 Ulrich Müller
2018-02-11 16:35 Ulrich Müller
2018-02-11 15:43 Ulrich Müller
2018-02-11 11:23 Ulrich Müller
2018-02-10 20:32 Ulrich Müller
2018-01-26 23:20 Ulrich Müller
2018-01-26 23:20 Ulrich Müller
2018-01-22 18:24 Markus Meier
2017-12-11 20:54 Sergei Trofimovich
2017-12-10 23:58 Ulrich Müller
2017-12-10 23:58 Ulrich Müller
2017-12-07 21:03 Ulrich Müller
2017-12-03 11:12 Ulrich Müller
2017-12-01 11:20 Agostino Sarubbo
2017-10-03  0:42 Thomas Deutschmann
2017-09-24 17:30 Sergei Trofimovich
2017-09-24 17:30 Sergei Trofimovich
2017-09-24 17:30 Sergei Trofimovich
2017-09-23 15:43 Ulrich Müller
2017-09-23 13:55 Sergei Trofimovich
2017-09-23 13:55 Sergei Trofimovich
2017-09-23 13:55 Sergei Trofimovich
2017-09-16 20:33 Sergei Trofimovich
2017-09-16 20:33 Sergei Trofimovich
2017-09-16 20:33 Sergei Trofimovich
2017-09-15  4:42 Markus Meier
2017-09-15  4:42 Markus Meier
2017-09-15  4:42 Markus Meier
2017-09-14 17:49 Tobias Klausmann
2017-09-14 17:49 Tobias Klausmann
2017-09-14 17:48 Tobias Klausmann
2017-09-12  7:19 Sergei Trofimovich
2017-09-12  7:19 Sergei Trofimovich
2017-09-12  7:19 Sergei Trofimovich
2017-09-12  6:32 Ulrich Müller
2017-09-11 18:02 Ulrich Müller
2017-06-18 11:56 Alexis Ballier
2017-06-10 17:22 Ulrich Müller
2017-05-30  4:57 Markus Meier
2017-05-27 13:23 Tobias Klausmann
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-26 13:48 Agostino Sarubbo
2017-05-25 11:00 Ulrich Müller
2017-05-25 11:00 Ulrich Müller
2017-04-21 21:55 Ulrich Müller
2017-04-11  6:43 Jeroen Roovers
2017-04-04 19:28 Tobias Klausmann
2017-03-28 10:44 Michael Weber
2017-03-28  9:56 Agostino Sarubbo
2017-03-26 12:59 Ulrich Müller
2017-03-18 11:54 Jeroen Roovers
2017-03-01  6:59 Ulrich Müller
2017-02-25 11:38 Ulrich Müller
2017-02-23 21:45 Michael Weber
2017-02-19 14:56 Ulrich Müller
2017-02-18  8:32 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-04 12:57 Ulrich Müller
2017-02-04 12:57 Ulrich Müller
2017-01-29 14:38 Fabian Groffen
2016-12-25 12:57 Ulrich Müller
2016-12-25 10:14 Agostino Sarubbo
2016-12-25 10:09 Agostino Sarubbo
2016-12-22 18:52 Ulrich Müller
2016-12-22 18:52 Ulrich Müller
2016-10-01 12:29 Jeroen Roovers
2016-10-01  7:48 Markus Meier
2016-09-17 20:29 Ulrich Müller
2016-09-17 20:29 Ulrich Müller
2016-09-17  8:27 Pacho Ramos
2016-09-04 13:17 Tobias Klausmann
2016-08-22  8:23 Ulrich Müller
2016-08-22  8:23 Ulrich Müller
2016-07-24 23:00 Ulrich Müller
2016-07-24 22:50 Ulrich Müller
2016-07-24 22:38 Ulrich Müller
2016-07-14  5:19 Ulrich Müller
2016-05-26 14:12 Tobias Klausmann
2016-03-29 20:43 Markus Meier
2016-03-20 12:30 Ulrich Müller
2016-03-19 17:19 Ulrich Müller
2016-03-05 21:39 Mikle Kolyada
2016-03-05 19:12 Ulrich Müller
2016-03-05 15:46 Mikle Kolyada
2016-02-13  7:54 Jeroen Roovers
2016-02-10 20:53 Markus Meier
2016-02-04 13:33 Tobias Klausmann
2016-02-01  8:14 Agostino Sarubbo
2016-01-31 11:07 Ulrich Müller
2016-01-17  2:36 Ulrich Müller
2015-12-21 16:43 Ulrich Müller
2015-12-21 14:46 Patrick Lauer
2015-12-20 20:29 Ulrich Müller
2015-08-24  5:16 Jeroen Roovers
2015-08-22  4:55 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732565108.438582e97488bba94549b5a8d62a24af499def48.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox